#pragma once

#include <kernel/searchlog/searchlog.h>

class TNamedSearchLog: public TSearchLog {
public:
    using TSearchLog::TSearchLog;

    const TString& GetName() const {
        return Name;
    }
    void SetName(const TString& name) {
        Name = name;
    }

private:
    TString Name;
};
